Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.util.statemachine
Class State

    java.lang.Object
      tle.framework.util.statemachine.State

Direct Known Subclasses:
  StateMachine.FinishState, StateMachine.StartState

    public class State

extends java.lang.Object

StateMachine의 상태를 나타내는 클래스.

Since:
  2.0
Author:
  최범균

Constructor Summary
`State(java.lang.String stateName)` State 객체의 생성자.
`State(java.lang.String stateName, java.lang.Object value)` State 객체의 생성자.

Method Summary
`void` | `addEvent(java.lang.String event, State state)` 이벤트를 나타내는 event의 경우 상태 state로 이동한다는 정보를 저장한다.
`java.lang.String` | `getStateName()` 상태의 이름을 리턴한다.
`java.lang.Object` | `getStateValue()` 상태값을 리턴한다.
`State` | `transit(java.lang.String event)` event가 발생할 때 이동하게 될 State를 리턴한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### State

    public State(java.lang.String stateName)

  State 객체의 생성자.

  new State(name)은 new State(stateName, null)와 동일하다.

  Parameters:
    `stateName` - 상태 이름

### State

    public State(java.lang.String stateName,
                 java.lang.Object value)

  State 객체의 생성자.

  Parameters:
    `stateName` - 상태 이름
    `value` - 상태와 관련된 값

Method Detail

### addEvent

    public void addEvent(java.lang.String event,
                         State state)

  이벤트를 나타내는 event의 경우 상태 state로 이동한다는 정보를 저장한다.

  Parameters:
    `event` - 이벤트
    `state` - 이동할 상태

### getStateName

    public java.lang.String getStateName()

  상태의 이름을 리턴한다.

  Returns:
    상태 이름 리턴

### getStateValue

    public java.lang.Object getStateValue()

  상태값을 리턴한다.

  Returns:
    현재 상태의 값

### transit

    public State transit(java.lang.String event)

  event가 발생할 때 이동하게 될 State를 리턴한다.

  Parameters:
    `event` -
  Returns:
    이벤트 발생 후 이동할 State
  Throws:
    `java.lang.IllegalStateException` - 현재 상태에서 이벤트 처리가 불가능할 경우 발생한다.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD